//
// Created by trotfunky on 25/04/19.
//

#include <iostream>

#include "Coinche.h"


int main()
{
    std::cout << "Faisons un pli de coinche ! " << std::endl << std::endl;

    // On génère un deck
    std::vector<card> deck = generate_cards();

    std::vector<card> main;

    // On génère une main à partir de ce deck
    for(int i = 0;i<8;i++)
    {
        main.push_back(deck.back());
        deck.pop_back();
    }

    std::cout << "Voilà notre main : " << std::endl;
    for(const card& carte : main)
    {
        std::cout << carte << std::endl;
    }

    // On choisit un atout
    Couleur atout = pick_atout();
    std::cout << std::endl << "On a choisi l'atout " << atout << std::endl;

    // Puis on met à jour les valeurs des cartes de l'atout (9 et valet)
    update_values(atout,deck,main);

    // On fait jouer une carte aléatoire à l'adversaire, vu que le tableau est mélangé de manière aléatoire
    card played = deck.back();
    std::cout << std::endl << "L'adversaire a joué " << played << " !" << std::endl;

    // On décide la carte que nous allons jouer
    card toPlay = play(played,main,atout);
    std::cout << "Nous allons donc jouer " << toPlay << std::endl;

    // On gagne ou perd
    std::cout << "C'est " <<(WonOrLost(played,toPlay,atout) ? "gagné ! " : "perdu :(") << std::endl;
}